<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="core-service.management.management-interface.native-interface">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="sasl-authentication-factory,sasl-protocol,server-name,socket-binding,ssl-context"/>
        <elem name="addr-params" value="core-service,management-interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.native-interface"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.socket-binding.$socket-binding"/>
        <capability name="org.wildfly.security.sasl-authentication-factory.$sasl-authentication-factory" optional="true"/>
        <capability name="org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="core-service.management"/>
    </refs>
    <params>
        <param name="server-name" nillable="true"/>
        <param name="socket-binding"/>
        <param name="sasl-authentication-factory" nillable="true"/>
        <param name="management-interface" feature-id="true" default="native-interface"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="sasl-protocol" nillable="true"/>
        <param name="ssl-context" nillable="true"/>
        <param name="core-service" feature-id="true" default="management"/>
    </params>
</feature-spec>